Skip to main content
GET
/
api
/
v1
/
sources
curl --request GET \
  --url "${UNSTRUCTURED_API_URL}/api/v1/sources/" \
  --header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
[
  {
    "id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
    "name": "My S3 Source",
    "type": "s3",
    "config": {
      "remote_url": "s3://my-bucket/input/",
      "access_key_id": "AKIAIOSFODNN7EXAMPLE",
      "secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
      "recursive": true
    },
    "created_at": "2026-01-01T00:00:00Z",
    "updated_at": "2026-01-15T12:00:00Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.unstructured.io/llms.txt

Use this file to discover all available pages before exploring further.

Query parameters

source_type
string
Filter by connector type. One of: azure, box, confluence, couchbase, databricks_volumes, dropbox, elasticsearch, gcs, google_drive, kafka-cloud, mongodb, onedrive, opensearch, outlook, postgres, s3, salesforce, sharepoint, snowflake, teradata, jira, zendesk.

Response

id
string
required
Unique identifier for the source connector.
name
string
required
Source connector name.
type
string
required
Connector type.
config
object
required
Connector configuration. Fields vary by connector type.
created_at
string
required
ISO 8601 timestamp when the connector was created.
updated_at
string
ISO 8601 timestamp when the connector was last updated.
curl --request GET \
  --url "${UNSTRUCTURED_API_URL}/api/v1/sources/" \
  --header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
[
  {
    "id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
    "name": "My S3 Source",
    "type": "s3",
    "config": {
      "remote_url": "s3://my-bucket/input/",
      "access_key_id": "AKIAIOSFODNN7EXAMPLE",
      "secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
      "recursive": true
    },
    "created_at": "2026-01-01T00:00:00Z",
    "updated_at": "2026-01-15T12:00:00Z"
  }
]